Get creator search dictionaries
curl --request GET \
--url https://api.instantly.ai/api/v2/creator-search/dictionaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/creator-search/dictionaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/creator-search/dictionaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/creator-search/dictionaries")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/creator-search/dictionaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/creator-search/dictionaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"locations": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"languages": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"interests": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"brands": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"topics": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"hashtags": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "<string>",
"creditsRequired": 123,
"creditsAvailable": 123,
"code": "creator_search_payment_required"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Creator
Get creator search dictionaries
Ids for the locations, languages, interests, brand_ids and audience filters of a search, matching query.
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
creator-search
/
dictionaries
Get creator search dictionaries
curl --request GET \
--url https://api.instantly.ai/api/v2/creator-search/dictionaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/creator-search/dictionaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/creator-search/dictionaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/creator-search/dictionaries")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/creator-search/dictionaries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/creator-search/dictionaries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"locations": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"languages": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"interests": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"brands": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"topics": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
],
"hashtags": [
{
"id": "148838",
"name": "Portland",
"title": "Portland, Oregon, United States"
}
]
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "<string>",
"creditsRequired": 123,
"creditsAvailable": 123,
"code": "creator_search_payment_required"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
instagram, tiktok, youtube Maximum string length:
200